# Programa para solucionar la ecuacin general
# cuadrtica ax^2 + bx + c = 0
#
# Fraga 6/07/2010

use strict;

# Tomamos los coeficientes a, b y c de la lnea
# de comandos

die "Args: a b c\n" if $#ARGV != 2;
my $a = $ARGV[0];
my $b = $ARGV[1];
my $c = $ARGV[2];

# calculamos el discriminante

my $d = $b*$b - 4*$a*$c;

if( abs($d) < 1e-8 ) {
	print "Las raices son reales e iguales\n";

	my $x = -$b/(2*$a);
	print "$x\n";
}
elsif ( $d > 0 ) {
	print "Las raices son reales y diferentes\n";

	my $z = sqrt( $d );
	my $x1 = (-$b + $z)/(2*$a);
	my $x2 = (-$b - $z)/(2*$a);
	print "$x1 $x2\n";
}
else {
	print "Las raices son complejas\n";

	my $re = -$b/(2*$a);
	my $im = sqrt(-$d)/(2*$a);
	print "$re + i $im\n";
	print "$re - i $im\n";
}
